<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name='nginx' target='multi-user'>
      <file source="nginx_source_conf" source_type="variable">/etc/nginx/nginx.conf</file>
      <file filelist="nginx_debian">/etc/nginx/sites-available/default</file>
      <file filelist="nginx_default" source="default-nginx.conf">/etc/nginx/default.d/default.conf</file>
      <file source="nginx-options.conf">/etc/nginx/conf.d/options.conf</file>
      <file engine="none" source="sysusers.nginx.conf" filelist="nginx_fedora">/sysusers.d/nginx.conf</file>
      <file source="tmpfiles.nginx.conf">/tmpfiles.d/nginx.conf</file>
      <file file_type="variable" filelist="nginx_default_https" mode="600" source="nginx.crt">revprox_crt_file</file>
      <file file_type="variable" filelist="nginx_default_https" mode="600" source="nginx.key">revprox_key_file</file>
      <file filelist="copy_tests">/tests/nginx-common.yml</file>
    </service>
  </services>
  <variables>
    <family name="nginx" description="NGINX" help="Paramétrage global de NGINX">
      <variable name="nginx_default_http" type="boolean" description="Activer la gestion du répertoire default.d en HTTP sur le serveur" mandatory='True' hidden="True">
        <value>False</value>
      </variable>
      <variable name="nginx_default_https" type="boolean" description="Activer la gestion du répertoire default.d en HTTPS sur le serveur" mandatory='True' hidden="True">
        <value>False</value>
      </variable>
      <variable name="nginx_default" type="domainname" description="Nom de domaine du serveur mandataire inverse par défaut" help="Si un client accède au serveur avec un nom de domaine non déclaré, le flux est redirigé vers ce domaine" mandatory='False'/>
      <variable name="nginx_root" type="filename" mandatory='False' hidden="True">
        <value>/usr/share/nginx/html</value>
      </variable>
      <variable name="nginx_hash_bucket_size" description="Longueur maximum pour un nom de domaine" mode="expert" type="choice">
        <value>128</value>
        <choice type="string">128</choice>
        <choice type="string">64</choice>
        <choice type="string">32</choice>
      </variable>
      <variable name="nginx_post_max_size" type="number" description="Taille maximale des données reçues par la méthode POST (en Mo)" mode="expert" mandatory="True">
        <value>32</value>
      </variable>
      <variable name="revprox_ca_file" type="filename" description="Reverse proxy CA filename" hidden="True"/>
      <variable name="revprox_crt_file" type="filename" description="Reverse proxy cert filename" hidden="True"/>
      <variable name="revprox_key_file" type="filename" description="Reverse proxy key filename" hidden="True"/>
      <variable name="nginx_owner" type="unix_user" description="Nginx process owner" mandatory="True" hidden="True"/>
      <variable name="nginx_group" type="unix_user" description="Nginx process group" mandatory="True" hidden="True"/>
      <variable name="nginx_source_conf" hidden="True"/>
    </family>
  </variables>
  <constraints>
    <condition name="disabled_if_not_in" source="os_name">
      <param>Fedora</param>
      <target type="filelist">nginx_fedora</target>
      <target>nginx_default</target>
    </condition>
    <condition name="disabled_if_not_in" source="os_name">
      <param>Debian</param>
      <target type="filelist">nginx_debian</target>
    </condition>
    <condition name="disabled_if_in" source="nginx_default">
      <param type="nil"/>
      <target type="filelist">nginx_default</target>
    </condition>
    <condition name="disabled_if_in" source="nginx_default_https">
      <param type="boolean">False</param>
      <target type="filelist">nginx_default_https</target>
    </condition>
    <fill name="calc_value">
      <param type="variable">tls_ca_directory</param>
      <param>ca_InternalReverseProxy.crt</param>
      <param name="join">/</param>
      <target>revprox_ca_file</target>
    </fill>
    <fill name="calc_value">
      <param type="variable">tls_cert_directory</param>
      <param>nginx.crt</param>
      <param name="join">/</param>
      <target>revprox_crt_file</target>
    </fill>
    <fill name="calc_value">
      <param type="variable">tls_key_directory</param>
      <param>nginx.key</param>
      <param name="join">/</param>
      <target>revprox_key_file</target>
    </fill>
    <fill name="calc_value">
      <param>nginx</param>
      <param name="default">www-data</param>
      <param name="condition" type="variable">os_name</param>
      <param name="expected">Fedora</param>
      <target>nginx_owner</target>
    </fill>
    <fill name="calc_value">
      <param>nginx</param>
      <param name="default">adm</param>
      <param name="condition" type="variable">os_name</param>
      <param name="expected">Fedora</param>
      <target>nginx_group</target>
    </fill>
    <fill name="calc_value">
      <param>nginx.conf</param>
      <param type="variable">os_name</param>
      <param name="join">.</param>
      <target>nginx_source_conf</target>
    </fill>
  </constraints>
</rougail>
